Automations
Copy messaging automation to creator
Copy an existing messaging automation to another accessible creator using the supported target settings.
POST
/v1/agencies/{agencyId}/automations/{automationId}/creator-copiesCopy an existing messaging automation to another accessible creator using the supported target settings.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthautomationId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/automations/string/creator-copies" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "creatorId": "string" }'{ "data": { "sequences": [ { "messages": [ { "medias": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "messageId": "string", "updatedAt": "2019-08-24T14:15:22Z", "position": 0, "mediaId": "string", "isPreview": true } ], "id": "string", "createdAt": "2019-08-24T14:15:22Z", "delay": 0, "price": null, "updatedAt": "2019-08-24T14:15:22Z", "content": null, "position": 0, "sequenceId": "string", "aiGenerated": true } ], "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": "string", "updatedAt": "2019-08-24T14:15:22Z", "position": 0, "automationId": "string" } ], "notifyEmployees": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "employeeId": "string", "automationId": "string" } ], "enabled": true, "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": "string", "updatedAt": "2019-08-24T14:15:22Z", "endDate": null, "trigger": "FAN_SUBSCRIBES_FIRST_TIME", "frequency": "SEND_ONCE", "keywords": [ "string" ], "keywordMatchType": "CONTAINS", "scheduledDate": null, "scheduledTime": null, "expiryDate": null, "expiryTime": null, "actionSendMessage": true, "actionStopAI": true, "actionNotifyEmployee": true, "actionAddToList": true, "notifyEmployeeMessage": null, "targetListIds": [ "string" ], "fanListsIncluded": [ "string" ], "fanListsExcluded": [ "string" ], "totalSpendMin": null, "totalSpendMax": null, "tipsReceivedMin": null, "tipsReceivedMax": null, "subscriptionDurationMin": null, "subscriptionDurationUnit": null, "onlineStatusOnly": true, "excludeRecentlyMessaged": true, "excludeRecentlyMessagedTime": null, "excludeMediaViewers": true, "excludeUnreadMessages": true, "excludeCreatorAccounts": true, "effectiveType": "IMMEDIATELY", "randomDelayMin": null, "randomDelayMax": null, "expiryType": "NEVER_EXPIRE", "unsendMessages": true, "unsendAfter": null, "stopMessageOnReply": true, "stoppedAt": null, "totalSent": 0, "totalEarned": "string", "amountPurchased": 0, "createdByEmployeeId": null, "stoppedByEmployeeId": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}